Summary: A free open-source 2D CAD system.
Name: qcad
Version: 1.4.14
Release: 1olc
Copyright: GPL
Group: Applications/Multimedia
Source: http://download.sourceforge.net/qcad/%{name}-%{version}-src.tar.gz
Vendor: Andrew Mustin <andre@qcad.org>
Packager: Ole Craig <olc@cs.umass.edu>
BuildRoot: %{_buildroot}/%{name}-%{version}-%{release}-root
Requires: qt2

%description
QCad is a professional CAD System. With QCad you can easily
construct and change drawings with ISO-texts and many other 
features and save them as DXF-files. These DXF-files are the
interface to many CAD-systems such as AutoCAD(C) and many others.

%prep
%setup -n qcad-%{version}-src

%build
make -e QTDIR=/usr/lib/qt2 LFLAGS="" 
strip qcad

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications
mkdir -p $RPM_BUILD_ROOT/usr/share/qcad
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/icons

cp -R cur doc examples fonts hatches $RPM_BUILD_ROOT/usr/share/qcad
cp -R libraries messages xpm $RPM_BUILD_ROOT/usr/share/qcad
cp -R qcad $RPM_BUILD_ROOT/usr/bin
cp xpm/qcad.xpm $RPM_BUILD_ROOT/usr/share/icons/qcad.xpm

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Applications/qcad.desktop <<EOF
[Desktop Entry]
Name="QCad"
Comment="2D CAD program"
Icon=/usr/share/icons/qcad.xpm
Exec=qcad
Terminal=0
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS
%doc COPYING
%doc INSTALL
%doc MANIFEST
%doc README
%doc TODO
%doc changes-1.4.12
%doc changes-old
/etc/X11/applnk/Applications/qcad.desktop
/usr/share/icons/qcad.xpm
/usr/bin/qcad
/usr/share/qcad/

%changelog

* Tue Jun 11 2002 Ole Craig <olc@cs.umass.edu> 1.4.14-0olc
- update for new version
- change to build on redhat 7.3 with qt2-devel libs and moc2

* Sat May 12 2001 Ben Stanley <bds02@uow.edu.au> 1.4.7-1
- update for new version
- change desktop entry file

* Wed Oct 4 2000 Prasanth Kumar <kumar1@home.com> 1.4.4-1
- Update for new version

* Wed May 17 2000 Prasanth Kumar <kumar1@home.com> 1.4.0-2
- Install program in proper group

* Mon May 9 2000 Prasanth Kumar <kumar1@home.com> 1.4.0-1
- Update for new version

* Mon Dec 13 1999 Prasanth Kumar <kumar1@home.com> 1.3.3-1
- Update for new version

* Mon Dec 6 1999 Prasanth Kumar <kumar1@home.com> 1.3.2-1
- First attempt
